Skip to content

Get Arc Points

GET
/api/creative/timelines/plotlines/{plotline_id}/arc-points

Get all arc points for a plotline lane.

plotline_id
required
Plotline Id
string

Successful Response

ArcPointListResponse

List of arc points.

object
status
required
Status

Operation status

string
data
required
Data

Arc points

Array<object>
ArcPoint

Single point on a character arc curve.

object
eventId
required
Eventid

Event this arc point is anchored to

string
value
required
Value

Emotional valence 0-100

integer
<= 100
label
Label

Label for this point

string
""
notes
Notes

Author notes about why the value sits where it does

string
""

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object